#include <iostream>
#include "FormVO2Max.h"
#include "Time.h"
#pragma once

namespace PurpleHealth {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;
	using namespace System::IO;
	using namespace System::Text;

	/// <summary>
	/// Summary for FormParentalControls
	/// </summary>
	public ref class FormParentalControls : public System::Windows::Forms::Form
	{
		//User Defined Variables
	private: static double dTime;
	private: static double dFlexTime;
	private: static double dCalsPerHour;
	private: static double dDailyAllowance;
	private: static double dNewTime;
	private: static double dNewFlexTime;
	private: static double dNewCalsPerHour;
	private: static double dNewDailyAllowance;
	private: static String ^ sUsername;
	private: static String ^ sPassword;
	
    //Current Date
	private: static double day = 0;
	private: static double month = 0;
	private: static double year = 0;

	//last time the user used the program
	private: static double oldDay = 0;
	private: static double oldMonth = 0;
	private: static double oldYear = 0;
	
	
	
	
	
	public:
		FormParentalControls(void)
		{
			GetLocalTime();
			InitializeComponent();
			LoadData();
			ShowLoadedData();
			//
			//TODO: Add the constructor code here
			//
		}
		void GetLocalTime()
		{
			time_t longtime;   // get time now
			struct tm * aTime;
			time ( &longtime);
			aTime=localtime(&longtime);
			day = aTime->tm_mday;
			month = aTime->tm_mon + 1; // Month is 0 - 11, add 1 to get a jan-dec 1-12 concept
			year = aTime->tm_year + 1900; // Year is # years since 1900

		}
		void LoadData(){
			System::IO::StreamReader ^ sr = gcnew System::IO::StreamReader("Time.time", System::Text::Encoding::Unicode);
			dTime=System::Convert::ToDouble(sr->ReadLine());
			dFlexTime=System::Convert::ToDouble(sr->ReadLine());
			dCalsPerHour=System::Convert::ToDouble(sr->ReadLine());
			dDailyAllowance=System::Convert::ToDouble(sr->ReadLine());
			oldDay=System::Convert::ToDouble(sr->ReadLine());
			oldMonth=System::Convert::ToDouble(sr->ReadLine());
			oldYear=System::Convert::ToDouble(sr->ReadLine());
			sr->Close();
		}
		void ShowLoadedData(){
			txtCurrentTime->Text=System::Convert::ToString(dTime);
			txtCurrentFlexTime->Text=System::Convert::ToString(dFlexTime);
			txtCalsPerHour->Text=System::Convert::ToString(dCalsPerHour);
			txtDailyAllowance->Text=System::Convert::ToString(dDailyAllowance);
		}
	protected:
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~FormParentalControls()
		{
			if (components)
			{
				delete components;
			}
		}

			 //Machine Defined Variables
	private: System::Windows::Forms::Label^  lblDailyAlowance;
	private: System::Windows::Forms::Label^  lblCalsPerHour;
	private: System::Windows::Forms::Label^  lblCurrentTime;
	private: System::Windows::Forms::Label^  lblCurrentFlexTime;
	private: System::Windows::Forms::TextBox^  txtCurrentTime;
	private: System::Windows::Forms::TextBox^  txtCurrentFlexTime;
	private: System::Windows::Forms::TextBox^  txtCalsPerHour;
	private: System::Windows::Forms::TextBox^  txtDailyAllowance;
	private: System::Windows::Forms::Label^  lblChangeUserAndPass;
	private: System::Windows::Forms::Label^  lblOldUser;
	private: System::Windows::Forms::TextBox^  txtOldUser;

	private: System::Windows::Forms::TextBox^  txtOldPass;

	private: System::Windows::Forms::Label^  lblOldPass;
	private: System::Windows::Forms::TextBox^  txtNewUser;


	private: System::Windows::Forms::Label^  lblNewUser;
	private: System::Windows::Forms::TextBox^  txtNewPass;


	private: System::Windows::Forms::Label^  lblNewPass;
	private: System::Windows::Forms::Button^  btnSave;
	private: System::Windows::Forms::Button^  btnReset;
	private: System::Windows::Forms::Button^  btnUpdateUserAndPass;
	private: System::Windows::Forms::Label^  label1;
	private: System::Windows::Forms::Label^  label2;
	private: System::Windows::Forms::Button^  btnUpdateData;


	private: System::Windows::Forms::Label^  lblUpdateDataTitle;
	private: System::Windows::Forms::Label^  lblUpdateDataInfo;




	protected: 

	protected: 



	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(FormParentalControls::typeid));
			this->lblDailyAlowance = (gcnew System::Windows::Forms::Label());
			this->lblCalsPerHour = (gcnew System::Windows::Forms::Label());
			this->lblCurrentTime = (gcnew System::Windows::Forms::Label());
			this->lblCurrentFlexTime = (gcnew System::Windows::Forms::Label());
			this->txtCurrentTime = (gcnew System::Windows::Forms::TextBox());
			this->txtCurrentFlexTime = (gcnew System::Windows::Forms::TextBox());
			this->txtCalsPerHour = (gcnew System::Windows::Forms::TextBox());
			this->txtDailyAllowance = (gcnew System::Windows::Forms::TextBox());
			this->lblChangeUserAndPass = (gcnew System::Windows::Forms::Label());
			this->lblOldUser = (gcnew System::Windows::Forms::Label());
			this->txtOldUser = (gcnew System::Windows::Forms::TextBox());
			this->txtOldPass = (gcnew System::Windows::Forms::TextBox());
			this->lblOldPass = (gcnew System::Windows::Forms::Label());
			this->txtNewUser = (gcnew System::Windows::Forms::TextBox());
			this->lblNewUser = (gcnew System::Windows::Forms::Label());
			this->txtNewPass = (gcnew System::Windows::Forms::TextBox());
			this->lblNewPass = (gcnew System::Windows::Forms::Label());
			this->btnSave = (gcnew System::Windows::Forms::Button());
			this->btnReset = (gcnew System::Windows::Forms::Button());
			this->btnUpdateUserAndPass = (gcnew System::Windows::Forms::Button());
			this->label1 = (gcnew System::Windows::Forms::Label());
			this->label2 = (gcnew System::Windows::Forms::Label());
			this->btnUpdateData = (gcnew System::Windows::Forms::Button());
			this->lblUpdateDataTitle = (gcnew System::Windows::Forms::Label());
			this->lblUpdateDataInfo = (gcnew System::Windows::Forms::Label());
			this->SuspendLayout();
			// 
			// lblDailyAlowance
			// 
			this->lblDailyAlowance->AutoSize = true;
			this->lblDailyAlowance->BackColor = System::Drawing::Color::Transparent;
			this->lblDailyAlowance->Location = System::Drawing::Point(13, 112);
			this->lblDailyAlowance->Name = L"lblDailyAlowance";
			this->lblDailyAlowance->Size = System::Drawing::Size(146, 13);
			this->lblDailyAlowance->TabIndex = 0;
			this->lblDailyAlowance->Text = L"Daily Alowance of Time (min):";
			this->lblDailyAlowance->Click += gcnew System::EventHandler(this, &FormParentalControls::lblDailyAlowance_Click);
			// 
			// lblCalsPerHour
			// 
			this->lblCalsPerHour->AutoSize = true;
			this->lblCalsPerHour->BackColor = System::Drawing::Color::Transparent;
			this->lblCalsPerHour->Location = System::Drawing::Point(13, 86);
			this->lblCalsPerHour->Name = L"lblCalsPerHour";
			this->lblCalsPerHour->Size = System::Drawing::Size(130, 13);
			this->lblCalsPerHour->TabIndex = 1;
			this->lblCalsPerHour->Text = L"Calories Per Hour of Time:";
			// 
			// lblCurrentTime
			// 
			this->lblCurrentTime->AutoSize = true;
			this->lblCurrentTime->BackColor = System::Drawing::Color::Transparent;
			this->lblCurrentTime->Location = System::Drawing::Point(13, 32);
			this->lblCurrentTime->Name = L"lblCurrentTime";
			this->lblCurrentTime->Size = System::Drawing::Size(99, 13);
			this->lblCurrentTime->TabIndex = 2;
			this->lblCurrentTime->Text = L"Current Day\'s Time:";
			// 
			// lblCurrentFlexTime
			// 
			this->lblCurrentFlexTime->AutoSize = true;
			this->lblCurrentFlexTime->BackColor = System::Drawing::Color::Transparent;
			this->lblCurrentFlexTime->Location = System::Drawing::Point(12, 59);
			this->lblCurrentFlexTime->Name = L"lblCurrentFlexTime";
			this->lblCurrentFlexTime->Size = System::Drawing::Size(92, 13);
			this->lblCurrentFlexTime->TabIndex = 3;
			this->lblCurrentFlexTime->Text = L"Current Flex Time:";
			// 
			// txtCurrentTime
			// 
			this->txtCurrentTime->Location = System::Drawing::Point(171, 29);
			this->txtCurrentTime->Name = L"txtCurrentTime";
			this->txtCurrentTime->Size = System::Drawing::Size(100, 20);
			this->txtCurrentTime->TabIndex = 4;
			this->txtCurrentTime->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtCurrentTime_TextChanged);
			// 
			// txtCurrentFlexTime
			// 
			this->txtCurrentFlexTime->Location = System::Drawing::Point(171, 56);
			this->txtCurrentFlexTime->Name = L"txtCurrentFlexTime";
			this->txtCurrentFlexTime->Size = System::Drawing::Size(100, 20);
			this->txtCurrentFlexTime->TabIndex = 5;
			this->txtCurrentFlexTime->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtCurrentFlexTime_TextChanged);
			// 
			// txtCalsPerHour
			// 
			this->txtCalsPerHour->Location = System::Drawing::Point(171, 83);
			this->txtCalsPerHour->Name = L"txtCalsPerHour";
			this->txtCalsPerHour->Size = System::Drawing::Size(100, 20);
			this->txtCalsPerHour->TabIndex = 6;
			this->txtCalsPerHour->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtCalsPerHour_TextChanged);
			// 
			// txtDailyAllowance
			// 
			this->txtDailyAllowance->Location = System::Drawing::Point(171, 109);
			this->txtDailyAllowance->Name = L"txtDailyAllowance";
			this->txtDailyAllowance->Size = System::Drawing::Size(100, 20);
			this->txtDailyAllowance->TabIndex = 7;
			this->txtDailyAllowance->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtDailyAllowance_TextChanged);
			// 
			// lblChangeUserAndPass
			// 
			this->lblChangeUserAndPass->AutoSize = true;
			this->lblChangeUserAndPass->BackColor = System::Drawing::Color::Transparent;
			this->lblChangeUserAndPass->Location = System::Drawing::Point(360, 9);
			this->lblChangeUserAndPass->Name = L"lblChangeUserAndPass";
			this->lblChangeUserAndPass->Size = System::Drawing::Size(165, 13);
			this->lblChangeUserAndPass->TabIndex = 8;
			this->lblChangeUserAndPass->Text = L"Change Username and Password";
			this->lblChangeUserAndPass->Click += gcnew System::EventHandler(this, &FormParentalControls::lblChangeUserAndPass_Click);
			// 
			// lblOldUser
			// 
			this->lblOldUser->AutoSize = true;
			this->lblOldUser->BackColor = System::Drawing::Color::Transparent;
			this->lblOldUser->Location = System::Drawing::Point(314, 31);
			this->lblOldUser->Name = L"lblOldUser";
			this->lblOldUser->Size = System::Drawing::Size(77, 13);
			this->lblOldUser->TabIndex = 9;
			this->lblOldUser->Text = L"Old Username:";
			this->lblOldUser->Click += gcnew System::EventHandler(this, &FormParentalControls::label1_Click);
			// 
			// txtOldUser
			// 
			this->txtOldUser->Location = System::Drawing::Point(472, 28);
			this->txtOldUser->Name = L"txtOldUser";
			this->txtOldUser->Size = System::Drawing::Size(100, 20);
			this->txtOldUser->TabIndex = 10;
			this->txtOldUser->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtOldUser_TextChanged);
			// 
			// txtOldPass
			// 
			this->txtOldPass->Location = System::Drawing::Point(472, 54);
			this->txtOldPass->Name = L"txtOldPass";
			this->txtOldPass->Size = System::Drawing::Size(100, 20);
			this->txtOldPass->TabIndex = 12;
			this->txtOldPass->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtOldPass_TextChanged);
			// 
			// lblOldPass
			// 
			this->lblOldPass->AutoSize = true;
			this->lblOldPass->BackColor = System::Drawing::Color::Transparent;
			this->lblOldPass->Location = System::Drawing::Point(314, 57);
			this->lblOldPass->Name = L"lblOldPass";
			this->lblOldPass->Size = System::Drawing::Size(75, 13);
			this->lblOldPass->TabIndex = 11;
			this->lblOldPass->Text = L"Old Password:";
			this->lblOldPass->Click += gcnew System::EventHandler(this, &FormParentalControls::lblOldPass_Click);
			// 
			// txtNewUser
			// 
			this->txtNewUser->Location = System::Drawing::Point(472, 81);
			this->txtNewUser->Name = L"txtNewUser";
			this->txtNewUser->Size = System::Drawing::Size(100, 20);
			this->txtNewUser->TabIndex = 14;
			this->txtNewUser->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtNewUser_TextChanged);
			// 
			// lblNewUser
			// 
			this->lblNewUser->AutoSize = true;
			this->lblNewUser->BackColor = System::Drawing::Color::Transparent;
			this->lblNewUser->Location = System::Drawing::Point(314, 84);
			this->lblNewUser->Name = L"lblNewUser";
			this->lblNewUser->Size = System::Drawing::Size(83, 13);
			this->lblNewUser->TabIndex = 13;
			this->lblNewUser->Text = L"New Username:";
			this->lblNewUser->Click += gcnew System::EventHandler(this, &FormParentalControls::lblNewUser_Click);
			// 
			// txtNewPass
			// 
			this->txtNewPass->Location = System::Drawing::Point(472, 107);
			this->txtNewPass->Name = L"txtNewPass";
			this->txtNewPass->Size = System::Drawing::Size(100, 20);
			this->txtNewPass->TabIndex = 16;
			this->txtNewPass->TextChanged += gcnew System::EventHandler(this, &FormParentalControls::txtNewPass_TextChanged);
			// 
			// lblNewPass
			// 
			this->lblNewPass->AutoSize = true;
			this->lblNewPass->BackColor = System::Drawing::Color::Transparent;
			this->lblNewPass->Location = System::Drawing::Point(314, 110);
			this->lblNewPass->Name = L"lblNewPass";
			this->lblNewPass->Size = System::Drawing::Size(81, 13);
			this->lblNewPass->TabIndex = 15;
			this->lblNewPass->Text = L"New Password:";
			this->lblNewPass->Click += gcnew System::EventHandler(this, &FormParentalControls::lblNewPass_Click);
			// 
			// btnSave
			// 
			this->btnSave->Location = System::Drawing::Point(38, 142);
			this->btnSave->Name = L"btnSave";
			this->btnSave->Size = System::Drawing::Size(96, 23);
			this->btnSave->TabIndex = 17;
			this->btnSave->Text = L"Save Changes";
			this->btnSave->UseVisualStyleBackColor = true;
			this->btnSave->Click += gcnew System::EventHandler(this, &FormParentalControls::btnSave_Click);
			// 
			// btnReset
			// 
			this->btnReset->Location = System::Drawing::Point(149, 142);
			this->btnReset->Name = L"btnReset";
			this->btnReset->Size = System::Drawing::Size(96, 23);
			this->btnReset->TabIndex = 18;
			this->btnReset->Text = L"Reset";
			this->btnReset->UseVisualStyleBackColor = true;
			this->btnReset->Click += gcnew System::EventHandler(this, &FormParentalControls::btnReset_Click);
			// 
			// btnUpdateUserAndPass
			// 
			this->btnUpdateUserAndPass->Location = System::Drawing::Point(352, 142);
			this->btnUpdateUserAndPass->Name = L"btnUpdateUserAndPass";
			this->btnUpdateUserAndPass->Size = System::Drawing::Size(173, 28);
			this->btnUpdateUserAndPass->TabIndex = 19;
			this->btnUpdateUserAndPass->Text = L"Update Username and Password";
			this->btnUpdateUserAndPass->UseVisualStyleBackColor = true;
			this->btnUpdateUserAndPass->Click += gcnew System::EventHandler(this, &FormParentalControls::btnUpdateUserAndPass_Click);
			// 
			// label1
			// 
			this->label1->AutoSize = true;
			this->label1->BackColor = System::Drawing::Color::Transparent;
			this->label1->Location = System::Drawing::Point(106, 10);
			this->label1->Name = L"label1";
			this->label1->Size = System::Drawing::Size(75, 13);
			this->label1->TabIndex = 20;
			this->label1->Text = L"Change Times";
			this->label1->Click += gcnew System::EventHandler(this, &FormParentalControls::label1_Click_1);
			// 
			// label2
			// 
			this->label2->BackColor = System::Drawing::Color::Transparent;
			this->label2->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 9, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->label2->Location = System::Drawing::Point(-60, 173);
			this->label2->Name = L"label2";
			this->label2->Size = System::Drawing::Size(1000, 20);
			this->label2->TabIndex = 21;
			this->label2->Text = L"Copyright Balife Inc. 2012";
			this->label2->TextAlign = System::Drawing::ContentAlignment::MiddleCenter;
			// 
			// btnUpdateData
			// 
			this->btnUpdateData->Location = System::Drawing::Point(699, 100);
			this->btnUpdateData->Name = L"btnUpdateData";
			this->btnUpdateData->Size = System::Drawing::Size(88, 23);
			this->btnUpdateData->TabIndex = 22;
			this->btnUpdateData->Text = L"Update Data";
			this->btnUpdateData->UseVisualStyleBackColor = true;
			this->btnUpdateData->Click += gcnew System::EventHandler(this, &FormParentalControls::btnUpdateData_Click);
			// 
			// lblUpdateDataTitle
			// 
			this->lblUpdateDataTitle->AutoSize = true;
			this->lblUpdateDataTitle->BackColor = System::Drawing::Color::Transparent;
			this->lblUpdateDataTitle->Location = System::Drawing::Point(693, 10);
			this->lblUpdateDataTitle->Name = L"lblUpdateDataTitle";
			this->lblUpdateDataTitle->Size = System::Drawing::Size(100, 13);
			this->lblUpdateDataTitle->TabIndex = 24;
			this->lblUpdateDataTitle->Text = L"Update User\'s Data";
			this->lblUpdateDataTitle->Click += gcnew System::EventHandler(this, &FormParentalControls::lblUpdateDataTitle_Click);
			// 
			// lblUpdateDataInfo
			// 
			this->lblUpdateDataInfo->BackColor = System::Drawing::Color::Transparent;
			this->lblUpdateDataInfo->Location = System::Drawing::Point(615, 29);
			this->lblUpdateDataInfo->Name = L"lblUpdateDataInfo";
			this->lblUpdateDataInfo->Size = System::Drawing::Size(256, 68);
			this->lblUpdateDataInfo->TabIndex = 25;
			this->lblUpdateDataInfo->Text = resources->GetString(L"lblUpdateDataInfo.Text");
			this->lblUpdateDataInfo->Click += gcnew System::EventHandler(this, &FormParentalControls::lblUpdateDataInfo_Click);
			// 
			// FormParentalControls
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->BackgroundImage = (cli::safe_cast<System::Drawing::Image^  >(resources->GetObject(L"$this.BackgroundImage")));
			this->BackgroundImageLayout = System::Windows::Forms::ImageLayout::Stretch;
			this->ClientSize = System::Drawing::Size(881, 202);
			this->Controls->Add(this->lblUpdateDataInfo);
			this->Controls->Add(this->lblUpdateDataTitle);
			this->Controls->Add(this->btnUpdateData);
			this->Controls->Add(this->label2);
			this->Controls->Add(this->label1);
			this->Controls->Add(this->btnUpdateUserAndPass);
			this->Controls->Add(this->btnReset);
			this->Controls->Add(this->btnSave);
			this->Controls->Add(this->txtNewPass);
			this->Controls->Add(this->lblNewPass);
			this->Controls->Add(this->txtNewUser);
			this->Controls->Add(this->lblNewUser);
			this->Controls->Add(this->txtOldPass);
			this->Controls->Add(this->lblOldPass);
			this->Controls->Add(this->txtOldUser);
			this->Controls->Add(this->lblOldUser);
			this->Controls->Add(this->lblChangeUserAndPass);
			this->Controls->Add(this->txtDailyAllowance);
			this->Controls->Add(this->txtCalsPerHour);
			this->Controls->Add(this->txtCurrentFlexTime);
			this->Controls->Add(this->txtCurrentTime);
			this->Controls->Add(this->lblCurrentFlexTime);
			this->Controls->Add(this->lblCurrentTime);
			this->Controls->Add(this->lblCalsPerHour);
			this->Controls->Add(this->lblDailyAlowance);
			this->DoubleBuffered = true;
			this->Name = L"FormParentalControls";
			this->Text = L"Parental Controls";
			this->Load += gcnew System::EventHandler(this, &FormParentalControls::FormParentalControls_Load);
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion
	private: System::Void FormParentalControls_Load(System::Object^  sender, System::EventArgs^  e) {
			 }
	private: System::Void lblDailyAlowance_Click(System::Object^  sender, System::EventArgs^  e) {
			 }
	private: System::Void label1_Click(System::Object^  sender, System::EventArgs^  e) {
			 }
	private: System::Void btnUpdateUserAndPass_Click(System::Object^  sender, System::EventArgs^  e) {
				 String^ sPath = "Password.pass";
				 System::IO::StreamReader ^ sr = gcnew System::IO::StreamReader(sPath, System::Text::Encoding::Unicode);
				 sUsername=sr->ReadLine();
				 sPassword=sr->ReadLine();
				 sr->Close();
				 if(txtOldUser->Text==sUsername && txtOldPass->Text==sPassword){
					 
					 //CHeck if file exists, delete if it does
					 if ( File::Exists( sPath ) )
					 {
						 File::Delete( sPath );
					 }

					 //Create the file.

					 FileStream^ fs = File::Create( sPath );
					 UnicodeEncoding^ uniEncoding = gcnew UnicodeEncoding;
					 String^ tempString = txtNewUser->Text+"\r";
					 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
					 tempString = txtNewPass->Text+"\r";
					 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );

					 fs->Close();
					 MessageBox::Show("Saved!");
				 }else{
					 MessageBox::Show("Incorrect Username or Password");
				 }
			 }
	private: System::Void btnSave_Click(System::Object^  sender, System::EventArgs^  e) {
				 String^ path = "Time.time";
				 //CHeck if file exists, delete if it does
				 if ( File::Exists( path ) )
				 {
					 File::Delete( path );
				 }

				 //Create the file.

				 FileStream^ fs = File::Create( path );
				 UnicodeEncoding^ uniEncoding = gcnew UnicodeEncoding;
				 String^ tempString = System::Convert::ToString(dNewTime)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(dNewFlexTime)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(dNewCalsPerHour)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(dNewDailyAllowance)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(day)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(month)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 tempString = System::Convert::ToString(year)+"\r";
				 fs->Write( uniEncoding->GetBytes( tempString ), 0, uniEncoding->GetByteCount( tempString ) );
				 fs->Close();
				 dTime=dNewTime;
				 dFlexTime=dNewFlexTime;
				 dCalsPerHour=dNewCalsPerHour;
				 dDailyAllowance=dNewDailyAllowance;

				 MessageBox::Show("Saved!");
			 }
	private: System::Void btnReset_Click(System::Object^  sender, System::EventArgs^  e) {
				 ShowLoadedData();
			 }
	private: System::Void txtCurrentTime_TextChanged(System::Object^  sender, System::EventArgs^  e) {
				 try{
					 dNewTime=System::Convert::ToDouble(txtCurrentTime->Text);
				 }catch(...){
					 MessageBox::Show("Numeric Inputs Only Please");
				 }
			 }
	private: System::Void txtCurrentFlexTime_TextChanged(System::Object^  sender, System::EventArgs^  e) {
				 try{
					 dNewFlexTime=System::Convert::ToDouble(txtCurrentFlexTime->Text);
				 }catch(...){
					 MessageBox::Show("Numeric Inputs Only Please");
				 }
			 }
	private: System::Void txtCalsPerHour_TextChanged(System::Object^  sender, System::EventArgs^  e) {
				 try{
					 dNewCalsPerHour=System::Convert::ToDouble(txtCalsPerHour->Text);
				 }catch(...){
					 MessageBox::Show("Numeric Inputs Only Please");
				 }
			 }
	private: System::Void txtDailyAllowance_TextChanged(System::Object^  sender, System::EventArgs^  e) {
				 try{
					 dNewDailyAllowance=System::Convert::ToDouble(txtDailyAllowance->Text);
				 }catch(...){
					 MessageBox::Show("Numeric Inputs Only Please");
				 }
			 }
	private: System::Void label1_Click_1(System::Object^  sender, System::EventArgs^  e) {
			 }
private: System::Void txtNewPass_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void lblNewPass_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void txtNewUser_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void lblNewUser_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void txtOldPass_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void lblOldPass_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void txtOldUser_TextChanged(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void lblChangeUserAndPass_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void lblUpdateDataTitle_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
private: System::Void btnUpdateData_Click(System::Object^  sender, System::EventArgs^  e) {
			 						FormVO2Max^ formVO2Max = gcnew FormVO2Max;
						 formVO2Max->ShowDialog();
						 this->Close();
		 }
private: System::Void lblUpdateDataInfo_Click(System::Object^  sender, System::EventArgs^  e) {
		 }
};
}
